# Uses of Class
org.opensaml.security.x509.tls.impl.BasicClientTLSValidationConfiguration

Packages that use BasicClientTLSValidationConfiguration
Package
Description
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.

## Uses of BasicClientTLSValidationConfiguration in org.opensaml.security.x509.tls.impl

Methods in org.opensaml.security.x509.tls.impl that return BasicClientTLSValidationConfiguration
Modifier and Type
Method
Description
`BasicClientTLSValidationConfiguration`
BasicClientTLSValidationConfiguration.`setCertificateNameOptions(CertificateNameOptions options)`
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`BasicClientTLSValidationConfiguration`
BasicClientTLSValidationConfiguration.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.